petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatNullSpaceCreateRigidBody

create rigid body modes from coordinates

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatNullSpaceCreateRigidBody(Vec coords,MatNullSpace *sp)

Collective on Vec Many br

### Input Argument

coords -block of coordinates of each node, must have block size set Many br

### Output Argument

sp -the null space Many br

Many br

### See Also

MatNullSpaceCreate()

Level:advanced
Location:src/mat/interface/matnull.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html